Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.assertion
Class AuthorizationDecisionStatement

    java.lang.Object
      oasis.names.tc.saml._1_0.assertion.StatementAbstractType
          oasis.names.tc.saml._1_0.assertion.SubjectStatementAbstractType
              oasis.names.tc.saml._1_0.assertion.AuthorizationDecisionStatement

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:08:01+01:00",
               comments="JAXB RI v2.2.11")
    public class AuthorizationDecisionStatement

extends SubjectStatementAbstractType
implements Serializable

Java class for AuthorizationDecisionStatementType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthorizationDecisionStatementType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectStatementAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Action" maxOccurs="unbounded"/>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Evidence" minOccurs="0"/>
           </sequence>
           <attribute name="Resource" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Decision" use="required" type="{urn:oasis:names:tc:SAML:1.0:assertion}DecisionType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AuthorizationDecisionStatement()`

Method Summary
`List<Action>` | `getActions()` Gets the value of the actions property.
`DecisionType` | `getDecision()` Gets the value of the decision property.
`Evidence` | `getEvidence()` Gets the value of the evidence property.
`String` | `getResource()` Gets the value of the resource property.
`void` | `setDecision(DecisionType value)` Sets the value of the decision property.
`void` | `setEvidence(Evidence value)` Sets the value of the evidence property.
`void` | `setResource(String value)` Sets the value of the resource property.

Methods inherited from class oasis.names.tc.saml._1_0.assertion.SubjectStatementAbstractType
`getSubject, setSubject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationDecisionStatement

    public AuthorizationDecisionStatement()

Method Detail

### getActions

    public List<Action> getActions()

  Gets the value of the actions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the actions property.

  For example, to add a new item, do as follows:

          getActions().add(newItem);

  Objects of the following type(s) are allowed in the list `Action`

### getEvidence

    public Evidence getEvidence()

  Gets the value of the evidence property.

  Returns:
    possible object is `Evidence`

### setEvidence

    public void setEvidence(Evidence value)

  Sets the value of the evidence property.

  Parameters:
    `value` - allowed object is `Evidence`

### getResource

    public String getResource()

  Gets the value of the resource property.

  Returns:
    possible object is `String`

### setResource

    public void setResource(String value)

  Sets the value of the resource property.

  Parameters:
    `value` - allowed object is `String`

### getDecision

    public DecisionType getDecision()

  Gets the value of the decision property.

  Returns:
    possible object is `DecisionType`

### setDecision

    public void setDecision(DecisionType value)

  Sets the value of the decision property.

  Parameters:
    `value` - allowed object is `DecisionType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.